// --------------------------------------------------
// gid - Return the element with 'id'
// --------------------------------------------------

function gid(id)
{
   return(document.getElementById(id));
}

// --------------------------------------------------
// degreesToRadians - Convert 'degrees' to radians
// --------------------------------------------------

function degreesToRadians(degrees)
{
   return(degrees * Math.PI / 180.0);
}

// --------------------------------------------------
// degreesChanged - Called when the user changes
//                  the value of the pulldown
// --------------------------------------------------

function degreesChanged()
{
   draw();
}

// --------------------------------------------------
// draw - Render our geometric figure using the
//        current 'degrees' value
// --------------------------------------------------

function draw()
{
   var canvas  = gid("the-canvas");
   var context = canvas.getContext("2d");
   var form    = gid("the-form");
   var object  = form.elements.degrees;
   var degrees = parseInt(object.options[object.selectedIndex].value);

   var radius = .45 * Math.min(canvas.width, canvas.height);

   var xc = canvas.width  / 2;
   var yc = canvas.height / 2;

   context.clearRect(0, 0, canvas.width, canvas.height);
   context.beginPath();

   for(var i = 0; i < 360; i += degrees)
   {
      var r1 = degreesToRadians(i);

      var x0 = xc + radius * Math.cos(r1);
      var y0 = yc + radius * Math.sin(r1);

      for(var j = 0; j < 360; j += degrees)
      {
         if(i != j)
         {
            var r2 = degreesToRadians(j);

            var x1 = xc + radius * Math.cos(r2);
            var y1 = yc + radius * Math.sin(r2);

            context.moveTo(x0, y0);
            context.lineTo(x1, y1);
            context.stroke();
         }
      }
   }
}

// --------------------------------------------
// Script Begins Here
// --------------------------------------------

setTimeout(function() { draw(); }, 1500);

